%define name aee
%define version 2.2.1
%define release 3

Summary: An easy to use text editor.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Artistic
Group: Applications/Editors
URL: http://www.users.uswest.net/~hmahon
Source: %{name}-%{version}.tar.gz
Patch: aee-dir_location.patch
BuildRoot: /var/tmp/%{name}-%{version}

%description
An easy to use text editor. Intended to be usable with little or no
instruction. Provides both a terminal (curses based) interface and native
X-Windows interface (in which case the executable is called xae). Features
include pop-up menus, journalling (to recover from system crash or loss of
connection), cut-and-paste, multiple buffers (associated with files or not),
and much more.

%prep
%setup -q
%patch -p1 -b .orig_locations

%build
make both

%install
rm -rf $RPM_BUILD_ROOT
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/aee,man/man1}
install -s -m 755 aee $RPM_BUILD_ROOT/usr/bin
install -s -m 755 xae $RPM_BUILD_ROOT/usr/bin
install -m 644 aee.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 help.ae $RPM_BUILD_ROOT/usr/lib/aee
(
	cd $RPM_BUILD_ROOT/usr/bin
	ln -s aee rae
	ln -s xae rxae
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Artistic README.aee aee.1.ps aee.i18n.guide keypad
%attr(755,root,root) /usr/bin/aee
%attr(755,root,root) /usr/bin/xae
%attr(755,root,root) /usr/bin/rae
%attr(755,root,root) /usr/bin/rxae
%attr(644,root,root) /usr/lib/aee/help.ae
%attr(644,root,root) /usr/man/man1/aee.1

%changelog
* Fri Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- cleaned up spec file

* Mon Jan 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [aee-2.2.1-2]
- Changed header to comply with RHCN specs.

